Bug 856713 - qpid-cpp-server no longer provide init script, never starts
qpid-cpp-server no longer provide init script, never starts
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rel-eng (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On: 854700
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 11:57 EDT by Preethi Thomas
Modified: 2013-01-09 12:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 854700
Environment:
Last Closed: 2013-01-09 12:07:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-09-12 11:57:33 EDT
+++ This bug was initially created as a clone of Bug #854700 +++

Description of problem:

As of qpid-cpp-server-0.16-5, the init script for qpid is provided in a new package qpid-cpp-server-daemon.  For katello we have temporarily added the init script to our spec file directly to fix the problem for us, but pulp really should add it to theirs. 

Here's the katello change:

https://github.com/Katello/katello/pull/583/files


How reproducible:
Always

Steps to Reproduce:
1.  Install Pulp
2.  Try to start qpid (sudo service qpidd start)

  
Actual results:
Fails, no qpid init script:
	  Loaded: error (Reason: No such file or directory)
	  Active: inactive (dead)


Expected results:
qpid starts normally

Additional info:
  relevant bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=854263
Comment 1 Jeff Ortel 2012-10-04 11:38:06 EDT
added requires: qpid-cpp-server-daemon

https://github.com/pulp/pulp/pull/96
Comment 2 Jeff Ortel 2012-10-05 17:43:07 EDT
build: 0.331
Comment 3 Preethi Thomas 2012-11-06 09:21:56 EST
verified
Comment 4 Preethi Thomas 2013-01-09 12:07:36 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.